Bug 885179 - Deprecate the qpid::client API
Deprecate the qpid::client API
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Release_Notes (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity unspecified
: 2.3
: ---
Assigned To: Joshua Wulf
Petr Matousek
:
Depends On:
Blocks: 886360
  Show dependency treegraph
 
Reported: 2012-12-07 11:50 EST by Justin Ross
Modified: 2014-10-19 19:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 886360 (view as bug list)
Environment:
Last Closed: 2013-03-19 12:37:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2012-12-07 11:50:18 EST
It has long been superceded by the qpid::messaging API, and it remains ABI unstable.  No one should use it.
Comment 1 Justin Ross 2012-12-07 11:53:21 EST
Cheryn, please redirect to the appropriate component.  Is it release notes for deprecations such as this?
Comment 2 Cheryn Tan 2012-12-12 01:19:51 EST
Discussed with jwulf, agree that it should be in the release notes. Resetting componenet and adding jwulf to the cc list. Thanks Justin.
Comment 5 Petr Matousek 2013-02-25 04:11:59 EST
Hi Joshua, the deprecation note is OK, but to avoid confusion I suggest the following content change:

- The <bold>qpid::clientAPI</bold> is ABI unstable and should not be used. The <bold>qpid::messagingAPI</bold> supercedes it, and should be used instead. 

+ The <bold>qpid::client</bold> API is ABI unstable and should not be used. The <bold>qpid::messaging</bold> API supercedes it, and should be used instead. 

--
* (The names of the API's are qpid::client and qpid::messaging, not qpid::clientAPI and qpid::messagingAPI)
Comment 7 Petr Matousek 2013-02-28 05:27:54 EST
I approve the content.

Version used for verification:
MRG Release Notes (Revision 1-13)

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.